Bug 1959657 (CVE-2020-24588)

Summary: CVE-2020-24588 kernel: wifi frame payload being parsed incorrectly as an L2 frame
Product: [Other] Security Response Reporter: Wade Mealing <wmealing>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: acaringi, adscvr, airlied, alciregi, bhu, bmasney, brdeoliv, bskeggs, chwhite, crwood, dhoward, dvlasenk, fhrbata, fpacheco, hdegoede, hkrzesin, ihuguet, jarodwilson, jeremy, jforbes, jlelli, jonathan, josef, jshortt, jstancek, jwboyer, kcarcia, kernel-maint, kernel-mgr, lgoncalv, linville, masami256, mchehab, nmurray, ptalbert, qzhao, rvrbovsk, steved, walters, wcosta, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel 5.13 rc5 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernels wifi implementation. An attacker within wireless broadcast range can inject custom data into the wireless communication circumventing checks on the data. This can cause the frame to pass checks and be considered a valid frame of a different type.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-09 21:21:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1978181, 1960121, 1960122, 1960123, 1960124    
Bug Blocks: 1959275    

Description Wade Mealing 2021-05-12 03:45:56 UTC
A flaw was found in the Linux kernels wifi implementation. An attacker within wireless broadcast range can inject custom data into the wireless communication circumventing checks on the data.  This can cause the frame to pass checks and be considered a valid frame of a different type.

Upstream fix:
https://lore.kernel.org/linux-wireless/20210511200110.25d93176ddaf.I9e265b597f2cd23eb44573f35b625947b386a9de@changeid/

Comment 6 Wade Mealing 2021-05-13 05:42:44 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options does not meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 7 Wade Mealing 2021-05-13 05:44:27 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1960121]

Comment 12 Justin M. Forbes 2021-06-29 16:16:45 UTC
This was fixed for Fedora in the 5.12.9 stable kernel updates.

Comment 15 errata-xmlrpc 2021-11-09 17:22:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4140 https://access.redhat.com/errata/RHSA-2021:4140

Comment 16 errata-xmlrpc 2021-11-09 18:25:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4356 https://access.redhat.com/errata/RHSA-2021:4356

Comment 17 Product Security DevOps Team 2021-11-09 21:21:38 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-24588